Bug 432264 - iwl3945 doesn't work any more with latest kernel
iwl3945 doesn't work any more with latest kernel
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
high Severity high
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-10 13:09 EST by Thorsten Scherf
Modified: 2008-07-03 11:59 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-03 11:59:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thorsten Scherf 2008-02-10 13:09:00 EST
Description of problem:
with the latest kernel releases, iwl3945 doesn't work any more:

dmesg:
iwl3945: Radio disabled by HW RF Kill switch

cat /sys/bus/pci/drivers/iwl3945/module/drivers/pci\:iwl3945/0000\:03\:00.0/rf_kill 
2

I can't disable the rfkill switch by software:
[root@tiffy ~]# echo 0 >
/sys/bus/pci/drivers/iwl3945/module/drivers/pci\:iwl3945/0000\:03\:00.0/rf_kill 
[root@tiffy ~]# cat
/sys/bus/pci/drivers/iwl3945/module/drivers/pci\:iwl3945/0000\:03\:00.0/rf_kill 
2
 
worked without problems in older kernel-releases.

btw, notebook in use is a lenove x60s.


Version-Release number of selected component (if applicable):
kernel-2.6.23.14-115.fc8

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 John W. Linville 2008-02-11 09:26:51 EST
Sorry, but I have to ask: are you sure you haven't moved the hardware RF kill 
switch?
Comment 2 Thorsten Scherf 2008-02-11 10:52:09 EST
well, as described above, I actually can't change the value of rf_kill. 
Comment 3 John W. Linville 2008-02-11 11:39:43 EST
...which implies that the actual switch may be in the "kill" position... :-)
Comment 4 Thorsten Scherf 2008-02-11 11:49:19 EST
yeah, and I can't switch it back to the off position. check also this:

http://bughost.org/bugzilla/show_bug.cgi?id=1454

Comment 5 Thorsten Scherf 2008-02-11 14:39:01 EST
another link describing the problem:

http://www.nabble.com/Kernel-115-Doesn't-Like-iwl4965-td15413273.html
Comment 6 John W. Linville 2008-02-11 15:25:43 EST
What was the previously working kernel version?

Can you try -105.fc8?  Does it work any better?

   http://koji.fedoraproject.org/koji/buildinfo?buildID=31090
Comment 7 Thorsten Scherf 2008-02-18 09:17:11 EST
it doesn't work with any of the latest kernel releases, even if you boot up the
GA kernel. 
Comment 8 John W. Linville 2008-02-18 10:56:39 EST
http://marc.info/?l=linux-kernel&m=120331115922855&w=2
Comment 9 John W. Linville 2008-02-19 13:47:36 EST
Could you add "options iwl3945 debug=0x43fff" to /etc/modprobe.conf and 
reboot?  Then please recreate the issue and include the contents 
of /var/log/messages here...thanks!
Comment 10 Wael Nasreddine 2008-02-19 17:36:03 EST
a new bug has been filled, could be related to this one...

http://bughost.org/bugzilla/show_bug.cgi?id=1606
Comment 11 Thorsten Scherf 2008-02-20 03:49:16 EST
/var/log/messages:
Feb 20 09:47:40 tiffy kernel: iwl3945: Radio disabled by HW RF Kill switch
Feb 20 09:47:40 tiffy kernel: iwl3945: U iwl3945_mac_start leave - failed
Feb 20 09:47:40 tiffy kernel: iwl3945: U iwl3945_mac_start enter
Feb 20 09:47:40 tiffy kernel: ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 17
(level, low) -> IRQ 22
Feb 20 09:47:40 tiffy kernel: iwl3945: Radio disabled by HW RF Kill switch
Feb 20 09:47:40 tiffy kernel: iwl3945: U iwl3945_mac_start leave - failed
Feb 20 09:47:40 tiffy kernel: iwl3945: U iwl3945_mac_start enter
Feb 20 09:47:40 tiffy kernel: ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 17
(level, low) -> IRQ 22
Feb 20 09:47:40 tiffy kernel: iwl3945: Radio disabled by HW RF Kill switch
Feb 20 09:47:40 tiffy kernel: iwl3945: U iwl3945_mac_start leave - failed
Comment 12 Thorsten Scherf 2008-02-23 08:55:35 EST
more debug messages:

iwl3945: U iwl3945_mac_start enter
ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 17 (level, low) -> IRQ 22
iwl3945: U iwl3945_read_ucode Got firmware 'iwlwifi-3945-1.ucode' file (149652
bytes) from disk
iwl3945: U iwl3945_read_ucode f/w package hdr ucode version = 0x20e0105
iwl3945: U iwl3945_read_ucode f/w package hdr runtime inst size = 80524
iwl3945: U iwl3945_read_ucode f/w package hdr runtime data size = 32768
iwl3945: U iwl3945_read_ucode f/w package hdr init inst size = 2668
iwl3945: U iwl3945_read_ucode f/w package hdr init data size = 32768
iwl3945: U iwl3945_read_ucode f/w package hdr boot inst size = 900
iwl3945: U iwl3945_read_ucode Copying (but not loading) uCode instr len 80524
iwl3945: U iwl3945_read_ucode uCode instr buf vaddr = 0xf66e0000, paddr = 0x366e0000
iwl3945: U iwl3945_read_ucode Copying (but not loading) uCode data len 32768
iwl3945: U iwl3945_read_ucode Copying (but not loading) init instr len 2668
iwl3945: U iwl3945_read_ucode Copying (but not loading) init data len 32768
iwl3945: U iwl3945_read_ucode Copying (but not loading) boot instr len 900
iwl3945: Radio disabled by HW RF Kill switch
ACPI: PCI interrupt for device 0000:03:00.0 disabled
iwl3945: U iwl3945_mac_start leave - failed
iwl3945: U iwl3945_mac_conf_tx enter
iwl3945: U iwl3945_mac_conf_tx leave - RF not ready
iwl3945: U iwl3945_mac_conf_tx enter
iwl3945: U iwl3945_mac_conf_tx leave - RF not ready
iwl3945: U iwl3945_mac_conf_tx enter
iwl3945: U iwl3945_mac_conf_tx leave - RF not ready
iwl3945: U iwl3945_mac_conf_tx enter
iwl3945: U iwl3945_mac_conf_tx leave - RF not ready
iwl3945: U iwl3945_mac_conf_tx enter
iwl3945: U iwl3945_mac_conf_tx leave - RF not ready
iwl3945: U iwl3945_mac_conf_tx enter
iwl3945: U iwl3945_mac_conf_tx leave - RF not ready
iwl3945: U iwl3945_mac_conf_tx enter
iwl3945: U iwl3945_mac_conf_tx leave - RF not ready
usbcore: registered new interface driver usbserial
drivers/usb/serial/usb-serial.c: USB Serial support registered for generic
usbcore: registered new interface driver usbserial_generic
drivers/usb/serial/usb-serial.c: USB Serial Driver core
drivers/usb/serial/usb-serial.c: USB Serial support registered for airprime
usbcore: registered new interface driver airprime
[drm] Initialized drm 1.1.0 20060810
[drm] Initialized i915 1.6.0 20060119 on minor 0
iwl3945: U iwl3945_mac_start enter
ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 17 (level, low) -> IRQ 22
iwl3945: Radio disabled by HW RF Kill switch
ACPI: PCI interrupt for device 0000:03:00.0 disabled
iwl3945: U iwl3945_mac_start leave - failed
virbr0: no IPv6 routers present
iwl3945: U iwl3945_pci_remove *** UNLOAD DRIVER ***
iwl3945: U __iwl3945_down iwl3945 is going down
iwl3945: U iwl3945_clear_free_frames 0 frames on pre-allocated heap on clear.
iwl3945: Intel(R) PRO/Wireless 3945ABG/BG Network Connection driver for Linux,
1.2.23kds
iwl3945: Copyright(c) 2003-2007 Intel Corporation
ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 17 (level, low) -> IRQ 22
PCI: Setting latency timer of device 0000:03:00.0 to 64
iwl3945: U iwl3945_pci_probe pci_resource_len = 0x00001000
iwl3945: U iwl3945_pci_probe pci_resource_base = f8bb8000
iwl3945: Detected Intel PRO/Wireless 3945ABG Network Connection
iwl3945: U iwl3945_set_rxon_channel Staging channel set to 6 [2]
iwl3945: U iwl3945_pci_probe MAC address: 00:1b:77:40:9e:8e
phy0: Selected rate control algorithm 'iwl-3945-rs'
iwl3945: U iwl3945_mac_conf_tx enter
iwl3945: U iwl3945_mac_conf_tx leave - RF not ready
iwl3945: U iwl3945_mac_conf_tx enter
iwl3945: U iwl3945_mac_conf_tx leave - RF not ready
iwl3945: U iwl3945_mac_conf_tx enter
iwl3945: U iwl3945_mac_conf_tx leave - RF not ready
iwl3945: U iwl3945_mac_conf_tx enter
iwl3945: U iwl3945_mac_conf_tx leave - RF not ready
iwl3945: U iwl3945_mac_conf_tx enter
iwl3945: U iwl3945_mac_conf_tx leave - RF not ready
iwl3945: U iwl3945_mac_conf_tx enter
iwl3945: U iwl3945_mac_conf_tx leave - RF not ready
iwl3945: U iwl3945_mac_conf_tx enter
iwl3945: U iwl3945_mac_conf_tx leave - RF not ready
iwl3945: U iwl3945_mac_start enter
ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 17 (level, low) -> IRQ 22
iwl3945: U iwl3945_read_ucode Got firmware 'iwlwifi-3945-1.ucode' file (149652
bytes) from disk
iwl3945: U iwl3945_read_ucode f/w package hdr ucode version = 0x20e0105
iwl3945: U iwl3945_read_ucode f/w package hdr runtime inst size = 80524
iwl3945: U iwl3945_read_ucode f/w package hdr runtime data size = 32768
iwl3945: U iwl3945_read_ucode f/w package hdr init inst size = 2668
iwl3945: U iwl3945_read_ucode f/w package hdr init data size = 32768
iwl3945: U iwl3945_read_ucode f/w package hdr boot inst size = 900
iwl3945: U iwl3945_read_ucode Copying (but not loading) uCode instr len 80524
iwl3945: U iwl3945_read_ucode uCode instr buf vaddr = 0xf27a0000, paddr = 0x327a0000
iwl3945: U iwl3945_read_ucode Copying (but not loading) uCode data len 32768
iwl3945: U iwl3945_read_ucode Copying (but not loading) init instr len 2668
iwl3945: U iwl3945_read_ucode Copying (but not loading) init data len 32768
iwl3945: U iwl3945_read_ucode Copying (but not loading) boot instr len 900
iwl3945: Radio disabled by HW RF Kill switch
iwl3945: U iwl3945_mac_start leave - failed
iwl3945: U iwl3945_mac_start enter
ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 17 (level, low) -> IRQ 22
iwl3945: Radio disabled by HW RF Kill switch
iwl3945: U iwl3945_mac_start leave - failed
iwl3945: U iwl3945_mac_conf_tx enter
iwl3945: U iwl3945_mac_conf_tx leave - RF not ready
iwl3945: U iwl3945_mac_conf_tx enter
iwl3945: U iwl3945_mac_conf_tx leave - RF not ready
iwl3945: U iwl3945_mac_conf_tx enter
iwl3945: U iwl3945_mac_conf_tx leave - RF not ready
iwl3945: U iwl3945_mac_conf_tx enter
iwl3945: U iwl3945_mac_conf_tx leave - RF not ready
iwl3945: U iwl3945_mac_conf_tx enter
iwl3945: U iwl3945_mac_conf_tx leave - RF not ready
iwl3945: U iwl3945_mac_conf_tx enter
iwl3945: U iwl3945_mac_conf_tx leave - RF not ready
iwl3945: U iwl3945_mac_conf_tx enter
iwl3945: U iwl3945_mac_conf_tx leave - RF not ready
iwl3945: U iwl3945_mac_conf_tx enter
iwl3945: U iwl3945_mac_conf_tx leave - RF not ready
iwl3945: U iwl3945_mac_conf_tx enter
iwl3945: U iwl3945_mac_conf_tx leave - RF not ready
iwl3945: U iwl3945_mac_conf_tx enter
iwl3945: U iwl3945_mac_conf_tx leave - RF not ready
iwl3945: U iwl3945_mac_conf_tx enter
iwl3945: U iwl3945_mac_conf_tx leave - RF not ready
iwl3945: U iwl3945_mac_conf_tx enter
iwl3945: U iwl3945_mac_conf_tx leave - RF not ready
iwl3945: U iwl3945_mac_conf_tx enter
iwl3945: U iwl3945_mac_conf_tx leave - RF not ready
iwl3945: U iwl3945_mac_conf_tx enter
iwl3945: U iwl3945_mac_conf_tx leave - RF not ready
iwl3945: U iwl3945_mac_start enter
ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 17 (level, low) -> IRQ 22
iwl3945: Radio disabled by HW RF Kill switch
iwl3945: U iwl3945_mac_start leave - failed
iwl3945: U iwl3945_mac_start enter
ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 17 (level, low) -> IRQ 22
iwl3945: Radio disabled by HW RF Kill switch
iwl3945: U iwl3945_mac_start leave - failed
iwl3945: U iwl3945_mac_start enter
ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 17 (level, low) -> IRQ 22
iwl3945: Radio disabled by HW RF Kill switch
iwl3945: U iwl3945_mac_start leave - failed
iwl3945: U iwl3945_mac_start enter
ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 17 (level, low) -> IRQ 22
iwl3945: Radio disabled by HW RF Kill switch
iwl3945: U iwl3945_mac_start leave - failed
iwl3945: U iwl3945_mac_start enter
ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 17 (level, low) -> IRQ 22
iwl3945: Radio disabled by HW RF Kill switch
iwl3945: U iwl3945_mac_start leave - failed
iwl3945: U iwl3945_mac_start enter
ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 17 (level, low) -> IRQ 22
iwl3945: Radio disabled by HW RF Kill switch
iwl3945: U iwl3945_mac_start leave - failed
[root@tiffy ~]#
Comment 13 John W. Linville 2008-02-25 10:49:40 EST
http://marc.info/?l=linux-kernel&m=120331115922855&w=2
Comment 14 John W. Linville 2008-03-07 09:15:51 EST
http://marc.info/?l=linux-wireless&m=120488924708343&w=2
Comment 15 Christof Kaelin 2008-04-04 11:56:00 EDT
You can get iwl3945 (but not 4965) with wpa_supplicant to run (workaround):

chkconfig wpa_supplicant off
chkconfig network off

in /etc/rc.local:
service wpa_supplicant start
service network start

Don't ask me why, it's the only way to get wlan at boottime for my notebook (I
need NFS at home). 

Both chips are still working well with Network-Manager (Is NM using other
drivers?). 
With the latest kernel-update (64 I think), the WLAN-LED's on both notebooks are
working again ;-) at least something after 6 months without them...

What is going on in the iwl-driver-sector? I thought intel has opened
specifications so those drivers are supposed to work well with linux, but atm,
my ndiswrapper-only chips are actually working better...
Comment 16 John W. Linville 2008-04-04 15:12:44 EDT
The specs are closed.  Intel just supports the open source driver themselves, 
with assistance from the community.
Comment 17 Christof Kaelin 2008-05-02 08:28:36 EDT
Driver seems now to work again with wpa_supplicant (without networkmanager). But
due to the order, in which wpa_supplicant and network services get started
(network before wpa_supplicant), I still need to start all the stuff via
/etc/rc.local...
Anyway, if you want to use the standard wpa_supplicant, you need to change all
the lines in /etc/sysconfig/wpa_supplicant for non-networkmanager use.

I hope, earlier start of NM in F9 will do better, but I'm quite sceptic.
Comment 18 John W. Linville 2008-05-02 08:49:28 EDT
Christof, which kernel are you using?  Thorsten, can you try the latest kernel 
to see if it has improved the situation for you?
Comment 19 petrosyan 2008-07-03 11:59:20 EDT
The information we've requested above is required in order
to review this problem report further and diagnose or fix the
issue if it is still present.  Since it has been sixty days or
more since we first requested additional information, we're assuming
the problem is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested,
please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.